import { get, uget, post, upost } from '@/http/index'
import myAxios from '@/http/axios'

// 获取航材分类树
export const getAvmatCategoriesTree = async (data) => {
  return await get('/basicdata/avmatcategories/getAvmatCategoriesTree', data)
}

// 新增航材分类
export const addAvmatCategorie = async (data) => {
  return await post('/basicdata/avmatcategories/addAvmatCategorie', data)
}
// 修改航材分类信息
export const updateAvmatCategorie = async (data) => {
  return await post('/basicdata/avmatcategories/updateAvmatCategorie', data)
}

// 删除航材分类(逻辑删除)
export const removeAvmatCategories = async (data) => {
  return await post('/basicdata/avmatcategories/removeAvmatCategories', data)
}

//下载模板
export const downLoadFile = async (data) => {
  window.open(process.env.VUE_APP_BASE_API + '/basicdata/avmatcategories/downLoadFile')
}
//导出
export const exportExcel = async (data) => {
  window.open(process.env.VUE_APP_BASE_API + '/basicdata/avmatcategories/exportExcel')
}
